Bug 1392 - testparm shows repeated values
testparm shows repeated values
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Config Files
3.0.4
All Windows XP
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Quality Assurance Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 08:49 UTC by Anderson
Modified: 2005-08-24 10:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anderson 2004-05-27 08:49:10 UTC
testparm shows strange and repeated values:

The result of testparm:
[homes]
        recycle:exclude_dir = /tmp|/temp|/cache
        recycle:exclude = *.tmp|*.temp|~$*
        recycle:maxsize = 0
        recycle:keeptree = True
        recycle:touch = True
        recycle:versions = True
        recycle:repository = Recycled
        recycle:exclude_dir = /tmp|/temp|/cache
        recycle:exclude = *.tmp|*.temp|~$*
        recycle:maxsize = 0
        recycle:keeptree = True
        recycle:touch = True
        recycle:versions = True
        recycle:repository = Recycled
        recycle:exclude_dir = /tmp|/temp|/cache
        recycle:exclude = *.tmp|*.temp|~$*
        recycle:maxsize = 0
        recycle:keeptree = True
        recycle:touch = True
        recycle:versions = True
        recycle:repository = Recycled
        recycle:exclude_dir = /tmp|/temp|/cache
        recycle:exclude = *.tmp|*.temp|~$*
        recycle:maxsize = 0
        recycle:keeptree = True
        recycle:touch = True
        recycle:versions = True
        recycle:repository = Recycled
        comment = Pasta de %U em Servidor.
        recycle:exclude_dir = /tmp|/temp|/cache ....
Comment 1 Simo Sorce 2004-07-12 08:37:50 UTC
This bug was showed up both in testparm and swat, turned out to be a bug in our
dump routines in param/loadparm.c

Fixed in svn Revision: 1468
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:24:10 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.